<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>Bootstrap Introduction and Simple Styles</title>


		<!-- links -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/css/bootstrap.min.css" integrity="sha384-xOolHFLEh07PJGoPkLv1IbcEPTNtaed2xpHsD9ESMhqIYd0nLMwNLD69Npy4HI+N" crossorigin="anonymous">

		<!--  -->
		<style type="text/css"></style>

	</head>
	<body class="text-center">

		<div class="bg-primary text-light fixed-top p-1">
			Fixed Top - Navbar
		</div>

		<div id="header" class="mt-5">
			<h1>Bootstrap Introduction and Simple Styles</h1>
			<div class="d-none d-lg-inline-block w-25 mt-4">
				<img src="https://www.drupal.org/files/project-images/bootstrap-stack.png" alt="" class="rounded-circle bg-white img-fluid">
			</div>
		</div>

		<div class="container-fluid">
			<h2>Bootstrap Color Classes</h2>
			<table class="table table-dark table-bordered">
				<thead>
					<tr>
						<th>Text</th>
						<th>Background</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<a href="#" class="text-primary">Primary Link</a>
						</td>
						<td class="bg-primary text-white">Primary</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-secondary">Secondary Link</a>
							<td class="bg-secondary text-white">Secondary</td>
						</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-success">Success Link</a>
							<td class="bg-success text-white">Success</td>
						</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-danger">Danger Link</a>
							<td class="bg-danger text-white">Danger</td>
						</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-warning">Warning Link</a>
							<td class="bg-warning text-white">Warning</td>

						</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-info">Info Link</a>
							<td class="bg-info text-white">Info</td>

						</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-light">Light Link</a>
							<td class="bg-light text-dark">Light</td>

						</td>
					</tr>

					<tr>
						<td>
							<a href="#" class="text-dark">Dark Link</a>
							<td class="bg-dark text-white">Dark</td>

						</td>
					</tr>
				</tbody>
			</table>
		</div>

		<div class="text_classes">
			<h2>Bootstrap Text Classes</h2>
			<table class="table table-dark table-bordered text-light">
				<thead>
					<tr>
						<th>Alignment</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-left">Left</td>
					</tr>

					<tr>
						<td class="text-center">Center</td>
					</tr>

					<tr>
						<td class="text-right">Right</td>
					</tr>

					<tr>
						<td class="text-sm-center">Small center</td>
					</tr>

					<tr>
						<td class="text-right text-md-left"> Medium Left</td>
					</tr>

					<tr>
						<td class="text-lg-right">Large Right</td>
					</tr>

					<tr>
						<td class="text-xl-center">Extra large center</td>
					</tr>
				</tbody>
			</table>
		</div>

		<div id="alignment">
			<table class="table table-dark text-light table-border">
				<thead>
					<tr>
						<th>Alignment</th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td class="text-uppercase font-weight-normal">
							uppercased normal text
						</td>
					</tr>
	
					<tr>
						<td class="text-capitalize font-weight-light">
							capitalize light text
						</td>
					</tr>
	
					<tr>
						<td class="text-decoration-none font-italic">
							<a href="#">Non-underlined Italic link</a>
						</td>
					</tr>
				</tbody>
			</table>
		</div>

		<div id="rounded_table">
			<h2>Bootstrap Border and Sizing Classes</h2>
			<table class="table table-dark text-light table-bordered">
				<thead>
					<tr>
						<th></th>
					</tr>
				</thead>
				<tbody>
					<tr>
						<td>
							<div class="bg-info border border-primary rounded ">Rounded</div>
						</td>
					</tr>

					<tr>
						<td>
							<div class="bg-secondary border border-white rounded-circle w-50">Rounded Circle</div>
						</td>
					</tr>

					<tr>
						<td>
							<div class="bg-warning border border-danger rounded-pill w-75">Rounded Pill</div>
						</td>
					</tr>
				</tbody>
			</table>
		</div>

		<div id="footer" class="bg-primary text-light fixed-bottom p-1">
			Bottom-Footer
		</div>

	</body>
</html>


<!-- scripts -->
<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-Fy6S3B9q64WdZWQUiU+q4/2Lc9npb8tCaSX9FK7E8HnRr0Jz8D6OP9dO5Vg3Q9ct" crossorigin="anonymous"></script>

<!-- For extra small screens or small mobile phones, we can avoid using breakpoints -->
<!-- All mobile views in Google Chrome browser are considered small screen sizes -->
<!-- Screen size is greater than or equal to 576px -->
<!-- Larger mobile phones -->

<!-- 
		1. - .25rem
		2. - .5rem
		3. - 1rem
		4. - 1.5rem
		5. - 3rem

		m - margin
		p - padding
		(add "t", "b", "l", "r" for the direction)
		mx - margin left and right
		my - margin top and bottom
	 -->